Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.dns
Class DnsEntryDNSKEY

    java.lang.Object
      de.knipp.rritoolkit.dns.DnsEntry
          de.knipp.rritoolkit.dns.DnsEntryDNSKEY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class DnsEntryDNSKEY

extends DnsEntry

class that stores the DNSKEY information.

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny
See Also:
  Serialized Form

Field Summary
`private int` | `algorithm` the algorithm
`private int` | `flags` the flags
`private java.lang.String` | `keyDataBase64` the key data (Base64 encoded)
`private byte[]` | `keyDataBinary` the key data (binary)
`private int` | `protocol` the protocol

Constructor Summary
`protected` | `DnsEntryDNSKEY(org.w3c.dom.Element el)` constructor
`` | `DnsEntryDNSKEY(int keyFlags, int proto, int alg, byte[] data)` constructor
`` | `DnsEntryDNSKEY(int keyFlags, int proto, int alg, java.lang.String data)` constructor
`protected` | `DnsEntryDNSKEY(java.lang.String owner, java.lang.String data)` constructor

Method Summary
`void` | `accept(DnsEntryVisitor visitor)` accept the given visitor
`DnsEntryDNSKEY` | `clone()` create a clone of this instance.
`int` | `getAlgorithm()` return the algorithm
`int` | `getFlags()` return the flags
`java.lang.String` | `getKeyDataBase64()` return the key data as a Base64 string
`byte[]` | `getKeyDataBinary()` return the key data in binary representation
`int` | `getProtocol()` return the protocol
`void` | `toList(KVList list)` convert the instance to an entry in the given list
`java.lang.String` | `toString()` create a string representation (for debugging purposes)
`void` | `toXml(org.w3c.dom.Node node, java.lang.String encodedDomainName)` convert the instance to XML

Methods inherited from class de.knipp.rritoolkit.dns.DnsEntry
`allFromList, fromXml, getOwner, isIPv6, setOwner`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### flags

    private int flags

  the flags

### protocol

    private int protocol

  the protocol

### algorithm

    private int algorithm

  the algorithm

### keyDataBase64

    private java.lang.String keyDataBase64

  the key data (Base64 encoded)

### keyDataBinary

    private byte[] keyDataBinary

  the key data (binary)

Constructor Detail

### DnsEntryDNSKEY

    public DnsEntryDNSKEY(int keyFlags,
                          int proto,
                          int alg,
                          byte[] data)

  constructor

  Parameters:
    `keyFlags` - the flags
    `proto` - the protocol
    `alg` - the algorithm
    `data` - the key data

### DnsEntryDNSKEY

    public DnsEntryDNSKEY(int keyFlags,
                          int proto,
                          int alg,
                          java.lang.String data)

  constructor

  Parameters:
    `keyFlags` - the flags
    `proto` - the protocol
    `alg` - the algorithm
    `data` - the key data, must be a valid Base64 string

### DnsEntryDNSKEY

    protected DnsEntryDNSKEY(java.lang.String owner,
                             java.lang.String data)
                      throws ResponseParseException

  constructor

  Parameters:
    `data` - the value of the key-value pair
    `owner` - the encoded domain name
  Throws:
    `ResponseParseException` - on syntactical errors

### DnsEntryDNSKEY

    protected DnsEntryDNSKEY(org.w3c.dom.Element el)
                      throws org.w3c.dom.DOMException,
                             ResponseParseException

  constructor

  Parameters:
    `el` - the element
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `ResponseParseException` - on wrong content

Method Detail

### toList

    public void toList(KVList list)
                throws EncodeException

  convert the instance to an entry in the given list

  Specified by:
    `toList` in class `DnsEntry`
  Parameters:
    `list` - the list
  Throws:
    `EncodeException` - if the encoding fails

### toXml

    public void toXml(org.w3c.dom.Node node,
                      java.lang.String encodedDomainName)
               throws org.w3c.dom.DOMException,
                      EncodeException

  convert the instance to XML

  Specified by:
    `toXml` in class `DnsEntry`
  Parameters:
    `node` - the node to append to
    `encodedDomainName` - the encoded domain name from the domain info data
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `EncodeException` - if the encoding fails

### accept

    public void accept(DnsEntryVisitor visitor)

  accept the given visitor

  Specified by:
    `accept` in class `DnsEntry`
  Parameters:
    `visitor` - the visitor

### clone

    public DnsEntryDNSKEY clone()

  create a clone of this instance.

  Overrides:
    `clone` in class `DnsEntry`
  Returns:
    the clone

### toString

    public java.lang.String toString()

  create a string representation (for debugging purposes)

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation

### getFlags

    public int getFlags()

  return the flags

  Returns:
    the flags

### getProtocol

    public int getProtocol()

  return the protocol

  Returns:
    the protocol

### getAlgorithm

    public int getAlgorithm()

  return the algorithm

  Returns:
    the algorithm

### getKeyDataBase64

    public java.lang.String getKeyDataBase64()

  return the key data as a Base64 string

  Returns:
    the key data, `null` if not set

### getKeyDataBinary

    public byte[] getKeyDataBinary()
                            throws java.lang.IllegalArgumentException

  return the key data in binary representation

  Returns:
    the key data, `null` if not set
  Throws:
    `java.lang.IllegalArgumentException` - if the internally stored Base64 is invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH